> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom field option

> Remove an enum option from a custom field definition in the Terminal49 API. Existing records using the deleted option are cleared on next save.

Delete a custom field option by its ID.

## Path parameters

| Parameter       | Description                                          |
| --------------- | ---------------------------------------------------- |
| `definition_id` | The unique identifier of the custom field definition |
| `option_id`     | The unique identifier of the option                  |

## Notes

Deleting an option does not automatically update existing custom field values that reference it.


## OpenAPI

````yaml delete /custom_field_definitions/{definition_id}/options/{option_id}
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /custom_field_definitions/{definition_id}/options/{option_id}:
    parameters:
      - schema:
          type: string
        name: definition_id
        in: path
        required: true
        description: Custom field definition ID
      - schema:
          type: string
        name: option_id
        in: path
        required: true
        description: Custom field option ID
    delete:
      tags:
        - Custom Field Options
      summary: Delete a custom field option
      operationId: delete-custom-field-options-id
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````